org.jbpm.kie.services.impl

## Class IdentityProviderAwareProcessListener

- java.lang.Object
- - org.kie.api.event.process.DefaultProcessEventListener
  - - org.jbpm.kie.services.impl.IdentityProviderAwareProcessListener

- All Implemented Interfaces:
    EventListener, org.kie.api.event.process.ProcessEventListener

      public class IdentityProviderAwareProcessListener
      extends org.kie.api.event.process.DefaultProcessEventListener

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdentityProviderAwareProcessListener(org.kie.api.runtime.KieSession kieSession)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beforeProcessStarted(org.kie.api.event.process.ProcessStartedEvent event)`
    `protected void` | `resolveIdentityProvider()`

    - ### Methods inherited from class org.kie.api.event.process.DefaultProcessEventListener

      `afterNodeLeft, afterNodeTriggered, afterProcessCompleted, afterProcessStarted, afterVariableChanged, beforeNodeLeft, beforeNodeTriggered, beforeProcessCompleted, beforeVariableChanged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.event.process.ProcessEventListener

      `afterSLAViolated, beforeSLAViolated, onMessage, onSignal`

- - ### Constructor Detail

    - #### IdentityProviderAwareProcessListener

          public IdentityProviderAwareProcessListener(org.kie.api.runtime.KieSession kieSession)

  - ### Method Detail

    - #### resolveIdentityProvider

          protected void resolveIdentityProvider()

    - #### beforeProcessStarted

          public void beforeProcessStarted(org.kie.api.event.process.ProcessStartedEvent event)

      Specified by:
        `beforeProcessStarted` in interface `org.kie.api.event.process.ProcessEventListener`
      Overrides:
        `beforeProcessStarted` in class `org.kie.api.event.process.DefaultProcessEventListener`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.